Search documentation of wx

# View Source wxGraphicsObject (wx v2.4.2)

Functions for wxGraphicsObject class

This class is the superclass of native graphics objects like pens etc. It allows reference counting. Not instantiated by user code.

See: `wxGraphicsBrush`, `wxGraphicsPen`, `wxGraphicsMatrix`, `wxGraphicsPath`

wxWidgets docs: wxGraphicsObject

# Summary

## Types

wxGraphicsObject()

## Functions

destroy(This)
getRenderer(This)

Returns the renderer that was used to create this instance, or NULL if it has not been initialized yet.

isNull(This)

Return: false if this object is valid, otherwise returns true.

# Types

Link to this type

# wxGraphicsObject()

View Source

    -type wxGraphicsObject() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxGraphicsObject()) -> ok.

Link to this function

# getRenderer(This)

View Source

    -spec getRenderer(This) -> wxGraphicsRenderer:wxGraphicsRenderer() when This :: wxGraphicsObject().

Returns the renderer that was used to create this instance, or NULL if it has not been initialized yet.

Link to this function

# isNull(This)

View Source

    -spec isNull(This) -> boolean() when This :: wxGraphicsObject().

Return: false if this object is valid, otherwise returns true.